---

- name: Template ping-service kubernetes manifest
  template:
    src: ping-service.yaml.j2
    dest: "/tmp/ping-service.yaml"
    mode: "0644"
  when: "inventory_hostname == groups['masters'][0]"

- name: Install ping-service to default namespace
  shell: |
    kubectl --kubeconfig=/etc/kubernetes/admin.conf apply -f /tmp/ping-service.yaml -n default
    rm /tmp/ping-service.yaml
  when: "inventory_hostname == groups['masters'][0]"
